CustomAction (install4j API)
Keywords: com.install4j.api.CustomAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api
Class CustomAction

    java.lang.Object
      com.install4j.api.CustomAction

Direct Known Subclasses:
  InstallAction, UninstallAction

    public abstract class CustomAction

extends java.lang.Object

The base class for all actions. Do not use this class as a base class for your own custom actions but choose one of the derived classes instead. You have to implement all abstract methods. See the derived classes for further methods that have to be implemented.

Author:
  ej-technologies GmbH

Constructor Summary
`CustomAction()`

Method Summary
`abstract int` | `getPercentOfTotalInstallation()` Should return the x percentage points of the installation progress bar that this action wants to reserve for itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomAction

    public CustomAction()

Method Detail

### getPercentOfTotalInstallation

    public abstract int getPercentOfTotalInstallation()

  Should return the x percentage points of the installation progress bar that this action wants to reserve for itself. A pre-install (or pre-uninstall) action gets the first x % of the progress bar, a post-install (or post-uninstall) action gets that last x % of the progress bar. Make sure to leave an appropriate range for the default installation. You can advance the progress bar in the `performAction` method by using the `ProgressInterface` parameter.

  Returns:
    a value between 0 and 100

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD